#include "qmaemo5homescreenadaptor.h"
#include "mainwidget.h"

#include <QtGui>

int main(int argc, char *argv[])
{
    // enforce native graphics system for now due to a bug in transparency handling
    // you can remove this line if you only target PR 1.2
    QApplication::setGraphicsSystem("native");

    QApplication app(argc, argv);
    app.setOrganizationName("irwi");
    app.setOrganizationDomain("mercury.wipsl.com");
    app.setApplicationName("irwi");

    MainWidget w;
    QMaemo5HomescreenAdaptor *adaptor = new QMaemo5HomescreenAdaptor(&w);
    adaptor->setSettingsAvailable(true);
    QObject::connect(adaptor, SIGNAL(settingsRequested()),
            &w, SLOT(showSettingsDialog()));
    w.show();

    return app.exec();
}

